Bric::App::Handler - The center of the application, as far as Apache is concerned. $LastChangedRevision$ $LastChangedDate: 2006-08-07 22:45:13 +0200 (Mon, 07 Aug 2006) $ <Perl> use lib '/usr/local/bricolage/lib'; </Perl> PerlModule Bric::App::Handler DocumentRoot "/usr/local/bricolage/comp" <Directory "/usr/local/bricolage/comp"> Options Indexes FollowSymLinks MultiViews AllowOverride None Order allow,deny Allow from all SetHandler perl-script PerlAccessHandler Bric::App::AccessHandler PerlHandler Bric::App::Handler PerlCleanupHandler Bric::App::CleanupHandler </Directory> This package is the main package used by Apache for managing the Bricolage application. It loads all the necessary Mason and Bricolage libraries and sets everything up for use in Apache. It is one function is handler(), which is called by mod_perl for every request.

Constructors
NONE.

Destructors
NONE.

Public Class Methods
NONE.

Public Functions
Handles the apache request. Throws: None - the buck stops here! Side Effects: NONE. Notes: NONE. $status = handle_err($r, $@) if $@; Handles errors when they're thrown by a main handler. Logs the error to the Apache error log and formats the error screen for the browser. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric